/*******************************************************************************
 Module for Microchip Legato Graphics Library

  Company:
    Microchip Technology Inc.

  File Name:
    le_gen_assets.h

  Summary:
    Header file containing a list of asset specifications for use with the
    Legato Graphics Stack.


  Description:
    Header file containing a list of asset specifications for use with the
    Legato Graphics Stack.

*******************************************************************************/


// DOM-IGNORE-BEGIN
/*******************************************************************************
* Copyright (C)  Microchip Technology Inc. and its subsidiaries.
*
* Subject to your compliance with these terms, you may use Microchip software
* and any derivatives exclusively with Microchip products. It is your
* responsibility to comply with third party license terms applicable to your
* use of third party software (including open source software) that may
* accompany Microchip software.
*
* THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS". NO WARRANTIES, WHETHER
* EXPRESS, IMPLIED OR STATUTORY, APPLY TO THIS SOFTWARE, INCLUDING ANY IMPLIED
* WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND FITNESS FOR A
* PARTICULAR PURPOSE.
*
* IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE,
* INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND
* WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF MICROCHIP HAS
* BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE. TO THE
* FULLEST EXTENT ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS IN
* ANY WAY RELATED TO THIS SOFTWARE WILL NOT EXCEED THE AMOUNT OF FEES, IF ANY,
* THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS SOFTWARE.
*******************************************************************************/

// DOM-IGNORE-END

#ifndef LE_GEN_ASSETS_H
#define LE_GEN_ASSETS_H

// DOM-IGNORE-BEGIN
#ifdef __cplusplus  // Provide C++ Compatibility
extern "C" {
#endif
// DOM-IGNORE-END

#include "gfx/legato/legato.h"

extern const lePalette leGlobalPalette;

/*****************************************************************************
 * Legato Graphics Image Assets
 *****************************************************************************/
/*********************************
 * Legato Image Asset
 * Name:   Bar
 * Size:   480x65 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage Bar;

/*********************************
 * Legato Image Asset
 * Name:   HarmonyLogo
 * Size:   197x139 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage HarmonyLogo;

/*********************************
 * Legato Image Asset
 * Name:   MicrochipLogo
 * Size:   144x39 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage MicrochipLogo;

/*********************************
 * Legato Image Asset
 * Name:   PIC32Logo
 * Size:   240x62 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage PIC32Logo;

/*********************************
 * Legato Image Asset
 * Name:   Jump0
 * Size:   120x192 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage Jump0;

/*********************************
 * Legato Image Asset
 * Name:   Jump1
 * Size:   120x192 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage Jump1;

/*********************************
 * Legato Image Asset
 * Name:   Jump2
 * Size:   120x192 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage Jump2;

/*********************************
 * Legato Image Asset
 * Name:   Jump3
 * Size:   120x192 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage Jump3;

/*********************************
 * Legato Image Asset
 * Name:   Jump4
 * Size:   120x192 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage Jump4;

/*********************************
 * Legato Image Asset
 * Name:   Jump5
 * Size:   120x192 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage Jump5;

/*********************************
 * Legato Image Asset
 * Name:   Jump6
 * Size:   120x192 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage Jump6;

/*********************************
 * Legato Image Asset
 * Name:   Jump7
 * Size:   120x192 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage Jump7;

/*********************************
 * Legato Image Asset
 * Name:   Dizzy0
 * Size:   120x96 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage Dizzy0;

/*********************************
 * Legato Image Asset
 * Name:   Dizzy1
 * Size:   120x96 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage Dizzy1;

/*********************************
 * Legato Image Asset
 * Name:   Dizzy2
 * Size:   120x96 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage Dizzy2;

/*********************************
 * Legato Image Asset
 * Name:   DizzyLeft0
 * Size:   120x96 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage DizzyLeft0;

/*********************************
 * Legato Image Asset
 * Name:   DizzyLeft1
 * Size:   120x96 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage DizzyLeft1;

/*********************************
 * Legato Image Asset
 * Name:   DizzyLeft2
 * Size:   120x96 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage DizzyLeft2;

/*********************************
 * Legato Image Asset
 * Name:   Hurt0
 * Size:   120x96 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage Hurt0;

/*********************************
 * Legato Image Asset
 * Name:   Hurt1
 * Size:   120x96 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage Hurt1;

/*********************************
 * Legato Image Asset
 * Name:   Hurt2
 * Size:   120x96 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage Hurt2;

/*********************************
 * Legato Image Asset
 * Name:   Hurt3
 * Size:   120x96 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage Hurt3;

/*********************************
 * Legato Image Asset
 * Name:   HurtLeft0
 * Size:   120x96 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage HurtLeft0;

/*********************************
 * Legato Image Asset
 * Name:   HurtLeft1
 * Size:   120x96 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage HurtLeft1;

/*********************************
 * Legato Image Asset
 * Name:   HurtLeft2
 * Size:   120x96 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage HurtLeft2;

/*********************************
 * Legato Image Asset
 * Name:   HurtLeft3
 * Size:   120x96 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage HurtLeft3;

/*********************************
 * Legato Image Asset
 * Name:   Idle0
 * Size:   120x96 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage Idle0;

/*********************************
 * Legato Image Asset
 * Name:   Idle1
 * Size:   120x96 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage Idle1;

/*********************************
 * Legato Image Asset
 * Name:   Idle2
 * Size:   120x96 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage Idle2;

/*********************************
 * Legato Image Asset
 * Name:   Idle3
 * Size:   120x96 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage Idle3;

/*********************************
 * Legato Image Asset
 * Name:   IdleLeft0
 * Size:   120x96 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage IdleLeft0;

/*********************************
 * Legato Image Asset
 * Name:   IdleLeft1
 * Size:   120x96 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage IdleLeft1;

/*********************************
 * Legato Image Asset
 * Name:   IdleLeft2
 * Size:   120x96 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage IdleLeft2;

/*********************************
 * Legato Image Asset
 * Name:   IdleLeft3
 * Size:   120x96 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage IdleLeft3;

/*********************************
 * Legato Image Asset
 * Name:   JumpLeft0
 * Size:   120x192 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage JumpLeft0;

/*********************************
 * Legato Image Asset
 * Name:   JumpLeft1
 * Size:   120x192 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage JumpLeft1;

/*********************************
 * Legato Image Asset
 * Name:   JumpLeft2
 * Size:   120x192 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage JumpLeft2;

/*********************************
 * Legato Image Asset
 * Name:   JumpLeft3
 * Size:   120x192 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage JumpLeft3;

/*********************************
 * Legato Image Asset
 * Name:   JumpLeft4
 * Size:   120x192 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage JumpLeft4;

/*********************************
 * Legato Image Asset
 * Name:   JumpLeft5
 * Size:   120x192 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage JumpLeft5;

/*********************************
 * Legato Image Asset
 * Name:   JumpLeft6
 * Size:   120x192 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage JumpLeft6;

/*********************************
 * Legato Image Asset
 * Name:   JumpLeft7
 * Size:   120x192 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage JumpLeft7;

/*********************************
 * Legato Image Asset
 * Name:   Run0
 * Size:   120x96 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage Run0;

/*********************************
 * Legato Image Asset
 * Name:   Run1
 * Size:   120x96 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage Run1;

/*********************************
 * Legato Image Asset
 * Name:   Run2
 * Size:   120x96 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage Run2;

/*********************************
 * Legato Image Asset
 * Name:   RunToLeft0
 * Size:   120x96 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage RunToLeft0;

/*********************************
 * Legato Image Asset
 * Name:   RunToLeft1
 * Size:   120x96 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage RunToLeft1;

/*********************************
 * Legato Image Asset
 * Name:   RunToLeft2
 * Size:   120x96 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage RunToLeft2;

/*********************************
 * Legato Image Asset
 * Name:   MHGSLogo
 * Size:   180x169 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage MHGSLogo;

/*********************************
 * Legato Image Asset
 * Name:   mchp_logo
 * Size:   120x28 pixels
 * Type:   RGB Data
 * Format: RGB_565
 ***********************************/
extern leImage mchp_logo;

/*****************************************************************************
 * Legato Graphics Font Assets
 *****************************************************************************/
/*********************************
 * Legato Font Asset
 * Name:         NotoSans_Regular
 * Height:       21
 * Baseline:     15
 * Style:        Antialias
 * Glyph Count:  16
 * Range Count:  10
 * Glyph Ranges: 0x20
                 0x44
                 0x46
                 0x48
                 0x50
                 0x52
                 0x61
                 0x64-0x65
                 0x6D-0x6F
                 0x72-0x75
***********************************/
extern leRasterFont NotoSans_Regular;

/*********************************
 * Legato Font Asset
 * Name:         NotoSans_Regular_Small
 * Height:       21
 * Baseline:     12
 * Style:        Antialias
 * Glyph Count:  57
 * Range Count:  13
 * Glyph Ranges: 0x20
                 0x28-0x29
                 0x2C-0x2E
                 0x30-0x38
                 0x3A
                 0x41-0x49
                 0x4C-0x4E
                 0x50-0x53
                 0x56-0x57
                 0x5A
                 0x61-0x69
                 0x6C-0x75
                 0x77-0x79
***********************************/
extern leRasterFont NotoSans_Regular_Small;

/*****************************************************************************
 * Legato String Table
 * Encoding        ASCII
 * Language Count: 1
 * String Count:   8
 *****************************************************************************/

// language IDs
#define language_default    0

// string IDs
#define stringID_String_Demonstrated    0
#define stringID_String_Resolution    1
#define stringID_String_ColorDepth    2
#define stringID_String_Library    3
#define stringID_String_Features    4
#define stringID_String_Device    5
#define stringID_String_PressHere    6
#define stringID_String_GfxController    7

extern const leStringTable stringTable;


// string list
extern leTableString string_String_Demonstrated;
extern leTableString string_String_Resolution;
extern leTableString string_String_ColorDepth;
extern leTableString string_String_Library;
extern leTableString string_String_Features;
extern leTableString string_String_Device;
extern leTableString string_String_PressHere;
extern leTableString string_String_GfxController;

void initializeStrings(void);
//DOM-IGNORE-BEGIN
#ifdef __cplusplus
}
#endif
//DOM-IGNORE-END

#endif /* LE_GEN_ASSETS_H */
